##########################
## Plots for BVM Paper ###
## November 2, 2014 ######
##########################

ttests<-read.csv("~/Dropbox/Bureau Voting/Data and Analysis/ttest_images.csv")
par(mar=c(5.1,6,4.1,3))
plot(x=ttests$diff, y=ttests$pubemp,
			xlab="Difference Between Public and Private Employees", 
			ylab=" ",
			main=" ",
			xlim=c(-3,3),
			ylim=c(1,13), 
			pch=20, 
			axes=FALSE,
			col="white"
			)		
axis(1, at=c(-3,-2,-1,0,1,2,3), labels=c("-3","-2","-1","0","1","2","3"), lwd=2)
axis(2, at=c(3,7,11), labels=c("< Mean", "At Mean", "> Mean"), las=2, lwd=2)

rect(xleft=-3, xright=3, ybottom=9, ytop=13, density=NA, col="gray92")
rect(xleft=-3, xright=3, ybottom=5, ytop=9, density=NA, col="gray96")
rect(xleft=-3, xright=3, ybottom=1, ytop=5, density=NA, col="gray92")

# below average
rect(xleft=-1.708173, xright=0.1535992, ybottom=2, ytop=2, density=NA, col="gray60")
rect(xleft=-1.362028, xright=-0.096364, ybottom=3, ytop=3, density=NA, col="gray60")
rect(xleft=-1.011719, xright=0.2085649, ybottom=4, ytop=4, density=NA, col="gray60")
points(x=-0.7772869, y=2, pch=20, cex=1.5)
points(x=-0.729196, y=3, pch=20, cex=1.5)
points(x=-0.4015773, y=4, pch=20, cex=1.5)

text(x=-3,y=1.9,label="Australia 2007", pos=4, cex=0.6)
text(x=-3,y=2.9,label="Sweden 2002", pos=4, cex=0.6)
text(x=-3,y=3.9,label="Ireland 2002", pos=4, cex=0.6)

# average
rect(xleft=-0.0053928, xright=0.3902412, ybottom=6, ytop=6, density=NA, col="gray60")
rect(xleft=0.0563704, xright=0.4824355, ybottom=7, ytop=7, density=NA, col="gray60")
rect(xleft=-0.145227, xright=0.7863928, ybottom=8, ytop=8, density=NA, col="gray60")
points(x=0.1924242, y=6, pch=20, cex=1.5)
points(x=0.269403, y=7, pch=20, cex=1.5)
points(x=0.3205829, y=8, pch=20, cex=1.5)

text(x=-3,y=5.9,label="New Zealand 2008", pos=4, cex=0.6)
text(x=-3,y=6.9,label="United Kingdom 1997", pos=4, cex=0.6)
text(x=-3,y=7.9,label="Hungary 1998", pos=4, cex=0.6)


# above average
rect(xleft=0.0816449, xright=1.712186, ybottom=10, ytop=10, density=NA, col="gray60")
rect(xleft=0.0897105, xright=3, ybottom=11, ytop=11, density=NA, col="gray60")
rect(xleft=1.146221, xright=2.120107, ybottom=12, ytop=12, density=NA, col="gray60")
points(x=0.8969152, y=10, pch=20, cex=1.5)
points(x=1.544855, y=11, pch=20, cex=1.5)
points(x=1.633164, y=12, pch=20, cex=1.5)

text(x=-3,y=9.9,label="Portugal 2005", pos=4, cex=0.6)
text(x=-3,y=10.9,label="South Korea 2008", pos=4, cex=0.6)
text(x=-3,y=11.9,label="Czech Republic 2006", pos=4, cex=0.6)

rect(xleft=0,xright=0,ybottom=1,ytop=13,col="gray90")






marginals<-read.csv("~/Dropbox/Bureau Voting/Data and Analysis/marginals.csv")

plot(x=marginals$x, y=marginals$y,
			xlab="Size of Public Sector Employment", 
			ylab="Marginal Effect of Public Sector Employee Status",
			pch=20, 
			xlim=c(5,40),
			ylim=c(-1,1.5),
			axes=FALSE,
			col="white"
			)		
axis(1, lwd=2)
axis(2, lwd=2)
rect(xleft=5,xright=17,ybottom=-1,ytop=1.5,col="gray96",density=NA)
rect(xleft=17,xright=40,ybottom=-1,ytop=1.5,col="gray92",density=NA)
segments(x0=5,x1=40,y0=0,y1=0,lwd=1,col="gray40")
lines(x=marginals$x, y=marginals$lo, lwd=2, lty=3, col="gray40")
lines(x=marginals$x, y=marginals$hi, lwd=2, lty=3, col="gray40")
lines(x=marginals$x, y=marginals$y, lwd=2, col="gray20")



